Page MenuHomePhabricator

Deprecate and remove 'alert' indicator
Closed, ResolvedPublic

Description

On searching through further icon/indicator usages, I've identified that 'alert' indicator seems to be only used in two places:

  • As code example in IndicatorWidget.js
  • In Flow's MentionInspector where it actually should be an icon and not an indicator


(Current UI)

As we want to keep duplication of icons in our library low and also reduce the number of indicators to only the most important special cases, we should:

Event Timeline

Volker_E triaged this task as High priority.

Change 404884 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Flag indicator 'alert'as to be removed

https://gerrit.wikimedia.org/r/404884

Change 404885 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] Replace 'alert' indicator as it's deprecated

https://gerrit.wikimedia.org/r/404885

Change 404884 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Flag indicator 'alert' as to be removed

https://gerrit.wikimedia.org/r/404884

Change 405045 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [BREAKING CHANGE] indicators: Remove 'alert', deprecated in v0.25.2

https://gerrit.wikimedia.org/r/405045

Change 404885 merged by jenkins-bot:
[oojs/ui@master] demos, docs: Replace 'alert' indicator, as it's deprecated

https://gerrit.wikimedia.org/r/404885

Change 405204 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Flow@master] Replace deprecated 'alert' indicator with similar icon

https://gerrit.wikimedia.org/r/405204

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jan 18 2018, 11:56 PM

Change 405204 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Replace deprecated 'alert' indicator with similar icon

https://gerrit.wikimedia.org/r/405204

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF moved this task from Reviewing to Waiting for breaking release on the OOUI board.
Volker_E updated the task description. (Show Details)Jan 31 2018, 2:21 AM
Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Mar 19 2018, 5:06 AM
Jdforrester-WMF edited projects, added OOUI (OOUI-0.26.0); removed OOUI.
Jdforrester-WMF moved this task from OOUI-0.26.0 to Waiting for breaking release on the OOUI board.
Jdforrester-WMF edited projects, added OOUI; removed OOUI (OOUI-0.26.0).
Jdforrester-WMF edited projects, added OOUI (OOUI-0.27.0); removed OOUI.
Jdforrester-WMF closed this task as Resolved.May 7 2018, 8:41 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)

Change 405045 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] indicators: Remove 'alert', deprecated in v0.25.2

https://gerrit.wikimedia.org/r/405045

Volker_E raised the priority of this task from High to Needs Triage.

We missed a use in VE's template dialog, where it is used to indicate deprecated params.